%define modname bloomy
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A97_%{modname}.ini

Summary:	Extension implementing a Bloom filter
Name:		php-%{modname}
Version:	0.1.0
Release:	%mkrel 15
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/bloomy/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		bloomy-0.1.0-php5.4.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0

%description
This extension implements a Bloom filter, which is a space-efficient
probabilistic data structure that is used to test whether an element is a
member of a set.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p0
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Fri Jan 24 2014 pterjan <pterjan> 0.1.0-15.mga4
+ Revision: 567647
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-14.mga4
+ Revision: 527798
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.1.0-13.mga4
+ Revision: 442618
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.1.0-12.mga3
+ Revision: 393246
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 0.1.0-11.mga3
+ Revision: 376372
- fix build with php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.0-10.mga2
+ Revision: 223864
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 0.1.0-9.mga2
+ Revision: 185078
- rebuild against php-5.3.9
  upgrade to 1.0.2

* Sun Feb 06 2011 spuhler <spuhler> 0.1.0-8.mga1
+ Revision: 47739
- removed buildroot definition from .spec
- imported package php-bloomy


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-8mdv2011.0
+ Revision: 629768
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2011.0
+ Revision: 628070
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdv2011.0
+ Revision: 600464
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdv2011.0
+ Revision: 588746
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdv2010.1
+ Revision: 514520
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2010.1
+ Revision: 485341
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2010.1
+ Revision: 468147
- rebuilt against php-5.3.1

* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2010.0
+ Revision: 452902
- import php-bloomy


* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2010.0
- initial Mandriva package
